• Gnome-Podcasts App - Not Installing (Build Error)


    Hey Everyone,

    Wanted to play around with the Gnome-Podcasts app, and am getting the following error when trying to install it via the AUR:

    Build type: native build
    Project name: gnome-podcasts
    Project version: 0.4.2
    Appending LDFLAGS from environment: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
    Native Rust compiler: rustc (rustc 1.29.1)
    Build machine cpu family: x86_64
    Build machine cpu: x86_64
    Configuring org.gnome.Podcasts.service using configuration
    Program ../../scripts/compile-gschema.py found: YES (/usr/bin/env python3 /tmp/pamac-build-aahmad/gnome-podcasts/src/podcasts-0.4.2-9d64d3e30d25c64aa8ac4a0c85c3716927ba49ff/podcasts-gtk/resources/../../scripts/compile-gschema.py)
    Program cargo found: YES (/usr/bin/cargo)
    Program glib-compile-resources found: YES (/usr/bin/glib-compile-resources)
    Program cargo-vendor found: NO
    Program scripts/cargo.sh found: YES (/tmp/pamac-build-aahmad/gnome-podcasts/src/podcasts-0.4.2-9d64d3e30d25c64aa8ac4a0c85c3716927ba49ff/scripts/cargo.sh)
    DEPRECATION: build_always is deprecated. Combine build_by_default and build_always_stale instead.
    Build targets in project: 2
    Found ninja-1.8.2 at /usr/bin/ninja
    ninja: Entering directory `_build'
    

    It hangs on this screen forever, and never updates. Something going on with the build.

    Anyone else hit this issue and resolve it? TIA.

  • @a4orce84 said in Gnome-Podcasts App - Not Installing (Build Error):

    Gnome-Podcasts

    https://aur.archlinux.org/packages/gnome-podcasts/ is marked as outdated

    https://aur.archlinux.org/packages/gnome-podcasts-git/ may work but needs gobject-introspection as dependency installed before building it… (as one user comment on it)

  • @joekamprad said in Gnome-Podcasts App - Not Installing (Build Error):

    gnome-podcasts-git

    fails also to build here…

  • Go to https://flathub.org/apps/details/org.gnome.Podcasts

    or just copy and past in terminal

    install:

    flatpak install flathub org.gnome.Podcasts

    then run

    flatpak run org.gnome.Podcasts

    It works for me, cheers

error338 installing129 app22 gnome-podcasts1 Posts 4Views 271
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.